Skip to:
Content

BuddyPress.org

Changeset 10400


Ignore:
Timestamp:
12/06/2015 02:50:13 PM (6 years ago)
Author:
djpaul
Message:

Travis-CI: run tests on PHP7 and remove from allowed failures.

Add exceptions for particular versions of WordPress which pre-date that project's PHP7 compatibility fixes.

Props netweb
Fixes #6758

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/.travis.yml

    r10136 r10400  
    1313    - 5.5
    1414    - 5.6
     15    - 7.0
    1516
    1617# WordPress comes from the Git mirror, where 'master' mirrors svn 'trunk' and
     
    3031    - php: nightly
    3132      env: WP_VERSION=master
     33  exclude:
     34    - php: 7.0
     35      env: WP_VERSION=4.2
     36    - php: 7.0
     37      env: WP_VERSION=4.1
     38    - php: 7.0
     39      env: WP_VERSION=4.0
     40    - php: 7.0
     41      env: WP_VERSION=3.9
     42    - php: 7.0
     43      env: WP_VERSION=3.8
    3244  allow_failures:
    3345    - php: nightly
Note: See TracChangeset for help on using the changeset viewer.